Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 442544 - app-shells/bash-completion-1.3 - No support for XZ compression with Okular.
Summary: app-shells/bash-completion-1.3 - No support for XZ compression with Okular.
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Shell Tools Herd Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-10 04:32 UTC by Jeremy Murphy
Modified: 2014-11-15 13:24 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Murphy 2012-11-10 04:32:41 UTC
At least Okular and possibly other KDE applications support xz compression, however the bash-completion does not include the xz extension.

Reproducible: Always

Steps to Reproduce:
1. Use xz to compress a file that Okular supports.
2. Enable base bash-completion.
3. Try to use completion on the .xz file.

Actual Results:  
Files with xz extension are not included in completion.

Expected Results:  
Files with xz extension are included in completion.


Portage 2.1.11.31 (default/linux/amd64/10.0/desktop/kde, gcc-4.6.3, glibc-2.15-r3, 3.4.9-gentoo-aufs3 x86_64)
=================================================================
System uname: Linux-3.4.9-gentoo-aufs3-x86_64-Intel-R-_Core-TM-_i5_CPU_M_580_@_2.67GHz-with-gentoo-2.1
Timestamp of tree: Thu, 08 Nov 2012 22:45:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2, 4.6.3, 4.7.2
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4-r2 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo x11 seden java-overlay sunrise science dmol kde local
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA skype-eula AdobeFlash-10.3 google-talkplugin Oracle-BCLA-JavaSE skype-4.0.0.7-copyright google-chrome"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -w -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -w -march=native"
DISTDIR="/var/tmp/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch parallel-install protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.swin.edu.au/gentoo http://ftp.iinet.net.au/pub/Gentoo"
LANG="en_AU.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en_AU en_GB"
MAKEOPTS="-j4"
PKGDIR="/var/tmp/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/x11 /var/lib/layman/seden /var/lib/layman/java-overlay /var/lib/layman/sunrise /var/lib/layman/science /var/lib/layman/dmol /var/lib/layman/kde /usr/local/portage"
SYNC="rsync://rsync.au.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi alsa amd64 amd64codecs ao avahi bash-completion berkdb blas bluetooth branding bzip2 cairo caps cdda cddb cdr cli consolekit cracklib crypt css cups curl cxx dbus declarative djvu dri dts dvd dvdr emboss encode exif expat fam ffmpeg fftw flac fontconfig fortran gcj gd gdbm geoip gif gmp gnutls gphoto2 gpm graphviz gsl gtk iconv icu imagemagick imlib ipod ipv6 java java6 javascript jpeg jpeg2k kde kipi ladspa lame lapack laptop latex lcms ldap libnotify libsamplerate lzma lzo mad matroska mmap mmx mng modules mp3 mp4 mpeg mtp mudflap multilib mysql mysqli ncurses nls nptl nsplugin ntfs offensive ogg openal openexr opengl openmp pam pango pch pcre pdf phonon php plasma plotutils png policykit ppds pppd qt3support qt4 readline samba sdl semantic-desktop session sharedmem smp sndfile sox speex spell sqlite sqlite3 sse sse2 sse3 ssl startup-notification subversion svg syslog szip taglib tcpd theora threads tiff truetype udev udisks unicode upower usb vcd vorbis wavpack wifi wmf wxwidgets x264 xcb xcomposite xinerama xml xpm xscreensaver xv xvid zeroconf zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_AU en_GB" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Jeremy Murphy 2014-11-15 13:24:33 UTC
I guess it was fixed somewhere along the way.  Thanks!